net.sourceforge.pmd.util.log

## Class AntLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - net.sourceforge.pmd.util.log.AntLogHandler

    public class AntLogHandler
    extends Handler

AntLogHandler sends log messages to an Ant Task, so the regular Ant logging is used.

Author:
  Wouter Zelle

### Constructor Summary

Constructors
Constructor and Description
`AntLogHandler(org.apache.tools.ant.Task antTask)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `publish(LogRecord logRecord)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AntLogHandler

    public AntLogHandler(org.apache.tools.ant.Task antTask)

### Method Detail

#### publish

    public void publish(LogRecord logRecord)

Specified by:
  `publish` in class `Handler`

#### close

    public void close()
               throws SecurityException

Specified by:
  `close` in class `Handler`
Throws:
  `SecurityException`

#### flush

    public void flush()

Specified by:
  `flush` in class `Handler`